﻿
@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<CampaignActionDetail>


@(
 Html.Grid(Model).Named("AllCampaignAction").Columns(columns =>
 {

     columns.Add(x => x.Campaign.Name)
         .Titled("Campaign")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Campaign.Name).Filterable(true);
     
     columns.Add(x => x.Action.Name)
         .Titled("Action")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Action.Name).Filterable(true);

     columns.Add(x => x.MaximalQty)
         .Titled("MaximalQty")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.MaximalQty.ToString()).Filterable(true);

     columns.Add(x => x.MinimalQty)
         .Titled("MinimalQty")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.MinimalQty.ToString()).Filterable(true);
     
     columns.Add(x => x.CreatedDate)
         .Titled("Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedDate.ToString("dd-MM-yyyy HH:mm"));
     
     columns.Add(x => x.IsActive)
         .Titled("IsActive")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.IsActive.ToString()).Filterable(true);
     

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
     .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.CampaignAction.Edit(x.ID, null))));

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
    .RenderValueAs(x => string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModal\">Delete</a>", "#", Url.Action(MVC.CampaignAction.Delete(x.ID)), x.Campaign.Name));

 }).Filterable()
.Sortable()
.WithPaging(5)
)
